Страница 1 из 2 12 ПоследняяПоследняя
Показано с 1 по 10 из 12

Тема: Глючные версии PHP

  1. #1
    Senior Member
    Регистрация
    23.03.2008
    Адрес
    Россия
    Сообщений
    590

    По умолчанию Глючные версии PHP

    В настройках кластера есть пункт «Версии PHP», а в нём причислены доступные версии того самого php. В какие-то моменты времени жёлтые лампочки меняются на сине-белые и тогда использование таких версий новыми пользователями становится невозможно. То, что это само по себе уже является показателем крайне нестабильной работы панели сейчас не будем. Для того чтобы это решить необходимо доустановить не установленные пакеты. Откуда они появляются и почему так происходит – непонятно. Дак вот, если нажать «установить», то иконка прогресса установки начинается крутится вечно.
    Что с этим всем делать?

    ISPmanager Business 5.74.1
    CloudLinux 7.2.1.el7 (x86_64)

  2. #2
    Senior Member
    Регистрация
    09.04.2013
    Адрес
    Москва
    Сообщений
    2,103

    По умолчанию

    В последнем апдейте CloudLiunx добавили новый пакет phpXX-firebird
    Что и повлекло недостачу пакетов в системе и панель отключила php
    Обновлял средствами ОС (напрямую yum'ом), всё работает как положено

  3. #3
    Senior Member
    Регистрация
    23.03.2008
    Адрес
    Россия
    Сообщений
    590

    По умолчанию

    Цитата Сообщение от Mobiaaa Посмотреть сообщение
    В последнем апдейте CloudLiunx добавили новый пакет phpXX-firebird
    Что и повлекло недостачу пакетов в системе и панель отключила php
    Обновлял средствами ОС (напрямую yum'ом), всё работает как положено
    yum'ом он воткнул эти пакеты в те версии php которые не используются и теперь они оттуда не удаляются, но оставил как есть в тех версиях где они были нужны. В общем всё как обычно через одно место.

  4. #4
    Senior Member
    Регистрация
    04.12.2015
    Сообщений
    168

    По умолчанию

    подтверждаю, проблема имеет место быть.

    можно ли её как-то решить без велосипеда?
    Изображения Изображения

  5. #5

    По умолчанию

    Проблема с пакетами php тоже регулярно наблюдаем. После каждого абдейта приходиться все перепроверять. Это не есть гуд

  6. #6
    Senior Member Аватар для Dasha
    Регистрация
    03.11.2011
    Сообщений
    4,634

    По умолчанию

    Сталкивалась с подобной проблемой, исправила, доставив
    yum install firebird-libfbclient.x86_64
    yum install freetds.x86_64
    Попробуйте у себя.

  7. #7
    Senior Member Аватар для VA
    Регистрация
    27.01.2007
    Сообщений
    1,346

    По умолчанию

    Можно просто мониторить файлик /usr/local/mgr5/var/.alt_php.xml на предмет изменений и вручную доставлять пакеты.

  8. #8
    Junior Member
    Регистрация
    19.10.2016
    Сообщений
    3

    По умолчанию

    Подскажите, как решить. Версия ПО ISPmanager Business 5.72.3
    Во вкладке "Версии PHP" пропали все альтернативные версии php. До этого ставились версии 5.5 и 5.6, проблем замечено не было. Сейчас появилась необходимость установки php 7.0, но не могу понять, что мешает. Пробовал перезапускать панель и выполнять обновление.
    php.jpg

  9. #9
    Senior Member Аватар для Sedna
    Регистрация
    16.05.2014
    Сообщений
    1,557

    По умолчанию

    Удалите файл /usr/local/mgr5/var/.alt_php.xml
    и не обновите страницу. Должны появиться версии.
    Grammar Nazi

  10. #10
    Junior Member
    Регистрация
    19.10.2016
    Сообщений
    3

    По умолчанию

    Цитата Сообщение от Sedna Посмотреть сообщение
    Удалите файл /usr/local/mgr5/var/.alt_php.xml
    и не обновите страницу. Должны появиться версии.
    Удалил. Не помогло.

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •